import { AfterViewInit, Injector, OnInit } from '@angular/core';
import { StylableComponent } from '@wm/components/base';
import { TabsComponent } from '../tabs.component';
import * as i0 from "@angular/core";
export declare class TabPaneComponent extends StylableComponent implements OnInit, AfterViewInit {
    private tabsRef;
    heading: any;
    title: any;
    static initializeProps: void;
    private _isFirstLoad;
    private _isOnLoadTriggered;
    $lazyLoad: (...args: any[]) => void;
    name: string;
    show: boolean;
    smoothscroll: any;
    private isdynamic;
    content: string;
    isActive: boolean;
    disabled: boolean;
    reDrawableComponents: any;
    constructor(inj: Injector, tabsRef: TabsComponent, heading: any, title: any, explicitContext: any);
    invokeOnSelectCallback($event?: Event): void;
    select($event?: Event, isKeyBoardEvent?: boolean): void;
    tabpaneHeaderClick($event: any, paneIndex: any): void;
    deselect(): void;
    remove(): void;
    private redrawChildren;
    private notifyParent;
    private handleSwipeLeft;
    private handleSwipeRight;
    protected handleEvent(node: HTMLElement, eventName: string, callback: Function, locals: any): void;
    onPropertyChange(key: string, nv: any, ov?: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabPaneComponent, [null, null, { attribute: "heading"; }, { attribute: "title"; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabPaneComponent, "div[wmTabPane]", never, {}, {}, ["reDrawableComponents"], ["*"], false, never>;
}
